import React, { useContext } from 'react';

import { makeStyles } from '@material-ui/core/styles';
import { Container, Box, Paper, Typography, Button } from '@material-ui/core';

import { SettingsContext } from 'lib/settings';
import { withRouter } from 'react-router-dom';


const useStyles = makeStyles(theme => ({
    root: {
        textAlign: "center"
    },
    p: {
        paddingTop: theme.spacing(2),
        paddingBottom: theme.spacing(2)
    },
    button: {
        margin: theme.spacing(1)
    }
}));

export default withRouter(({ history }) => {
    const classes = useStyles();
    const settings = useContext(SettingsContext);

    return (
        <Container maxWidth="md">
            <Box m={ 2 }  className={ classes.root }>
                <Typography variant="h2" className={ classes.title }>
                    Welcome
                </Typography>

                { settings.fetched ? (
                    <React.Fragment>
                        <Typography className={ classes.p } component="div">
                            Start by choosing one of the actions below
                        </Typography>
                        <Typography className={ classes.p } component="div">
                            <Button variant="contained" color="primary" className={classes.button} onClick={ () => history.push("/projects") }>
                                List projects
                            </Button>
                            <Button variant="contained" color="primary" className={classes.button} onClick={ () => history.push("/settings") }>
                                Settings
                            </Button>
                        </Typography>
                    </React.Fragment>
                ) : (
                    <React.Fragment>
                        <Typography className={ classes.p } component="div">
                            Start by setting credentials first, please
                        </Typography>
                        <Typography className={ classes.p } component="div">
                            <Button variant="contained" color="primary" className={classes.button} onClick={ () => history.push("/settings") }>
                                Settings
                            </Button>
                        </Typography>
                    </React.Fragment>
                )}

            </Box>
        </Container>
    );
});